using System.Collections.Generic;
using Plombir;

namespace LauncherGUI.ViewModels;

public partial class MainWindowViewModel : ViewModelBase
{
    public string Greeting { get; } = "Plombir launcher";

    private string? _userNick = ConfigManager.ReadConfig("nickname");
    public string? Usernick { get => _userNick; set { _userNick = value; OnPropertyChanged(nameof(Usernick)); } }

    private string? _selectedVersion = ConfigManager.ReadConfig("last-version-launched");
    public string? SelectedVersion { get => _selectedVersion; set { _selectedVersion = value; OnPropertyChanged(nameof(SelectedVersion)); } }

    private string? _runtimeLocation = ConfigManager.ReadConfig("runtime-path");
    public string? RuntimeLocation { get => _runtimeLocation; set { _runtimeLocation = value; OnPropertyChanged(nameof(RuntimeLocation)); } }

    // Session information
    private string? _loginMethod = ConfigManager.ReadConfig("login-method");
    public string? LoginMethod { get => _loginMethod; set { _loginMethod = value; OnPropertyChanged(nameof(LoginMethod)); } }

    private string? _accsessToken = ConfigManager.ReadConfig("accsess-token");
    public string? AccsesToken { get => _accsessToken; set { _accsessToken = value; OnPropertyChanged(nameof(AccsesToken)); } }

    private string? _uuid = ConfigManager.ReadConfig("uuid");
    public string? UUID { get => _uuid; set { _uuid = value; OnPropertyChanged(nameof(UUID)); } }

    // Tweaks managment
    private string? _tweaksVersion = ConfigManager.ReadConfig("tweaks-version");
    public string? TweaksVersion { get => _tweaksVersion; set { _tweaksVersion = value; OnPropertyChanged(nameof(TweaksVersion)); } }
}
